Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# undefined symbol: dynparam_ui_*
# they are external callback slots, it is normal that they are undefined.
%set_verify_elf_method unresolved=relaxed
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	LV2 dynamic parameters extension
Name:		lv2dynparam
Version:	2
Release:	alt2_30
License:	GPL-2.0-only
URL:		http://home.gna.org/lv2dynparam/
Source:		http://download.gna.org/lv2dynparam/lv2dynparam1-2.tar.bz2

BuildRequires:	gcc
BuildRequires:	lv2-devel
Source44: import.info

%description
lv2dynparam is a LV2 plugin interface extension that enables plugin parameters
to appear and disappear (i.e. number of voices). It also allows nested grouping
of parameters. Groups can be used for things like ADSR abstraction, i.e. group
of 4 float parameters.

The extension should be suitable for all plugins that expose many and/or
complex data types, like samplers, non-trivial synths, etc.

%package devel
Group: Development/Other
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains libraries and header files for developing plugins that
use LV2 dynamic parameters extension.

%prep
%setup -q -n %{name}1-%{version}

# lv2core seemingly permanently renamed to lv2 at version 1.16
# A proper fix involves invoking autotools, however as this package is
# dead upstream a quick hack is sufficient.
sed -i s/lv2core/lv2/g configure

%build
%configure --disable-static
%make_build

%install
make DESTDIR=%{buildroot} install

# Kill .la files
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc AUTHORS README NEWS
%doc --no-dereference COPYING
%{_libdir}/lib%{name}host1.so.*
%{_libdir}/lib%{name}plugin1.so.*

%files devel
%{_includedir}/%{name}1
%{_libdir}/lib%{name}host1.so
%{_libdir}/lib%{name}plugin1.so
%{_libdir}/pkgconfig/%{name}host1.pc
%{_libdir}/pkgconfig/%{name}plugin1.pc

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2-alt2_30
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2-alt2_28
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2-alt2_26
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2-alt2_25
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2-alt2_24
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2-alt2_23
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2-alt2_22
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2-alt2_21
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2-alt1_21
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2-alt1_19
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2-alt1_17
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2-alt1_16
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 2-alt1_15
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2-alt1_14
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2-alt1_11
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2-alt1_10
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2-alt1_9
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 2-alt1_8
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 2-alt1_7
- update to new release by fcimport

* Wed Mar 27 2013 Igor Vlasenko <viy@altlinux.ru> 2-alt1_6
- update from fc import

